Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.data
Class FoldingWriter

    java.lang.Object
      java.io.Writer
          java.io.FilterWriter
              net.fortuna.ical4j.data.FoldingWriter

All Implemented Interfaces:
  Closeable, Flushable, Appendable

    public class FoldingWriter

extends FilterWriter

A writer that performs iCalendar folding as it writes.

Author:
  Ben Fortuna

Field Summary
`static int` | `MAX_FOLD_LENGTH`
`static int` | `REDUCED_FOLD_LENGTH`

Fields inherited from class java.io.FilterWriter
`out`

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`FoldingWriter(Writer writer)`
`FoldingWriter(Writer writer, int foldLength)`

Method Summary
`void` | `write(char[] buffer, int offset, int length)`
`void` | `write(int c)`
`void` | `write(String str, int off, int len)`

Methods inherited from class java.io.FilterWriter
`close, flush`

Methods inherited from class java.io.Writer
`append, append, append, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REDUCED_FOLD_LENGTH

    public static final int REDUCED_FOLD_LENGTH

See Also:
  Constant Field Values

### MAX_FOLD_LENGTH

    public static final int MAX_FOLD_LENGTH

See Also:
  Constant Field Values

Constructor Detail

### FoldingWriter

    public FoldingWriter(Writer writer,
                         int foldLength)

Parameters:
  `writer` - a writer to write output to
  `foldLength` -

### FoldingWriter

    public FoldingWriter(Writer writer)

Parameters:
  `writer` - a writer to write output to

Method Detail

### write

    public final void write(int c)
                     throws IOException

  Overrides:
    `write` in class `FilterWriter`
  Throws:
    `IOException`

### write

    public final void write(char[] buffer,
                            int offset,
                            int length)
                     throws IOException

  Overrides:
    `write` in class `FilterWriter`
  Throws:
    `IOException`

### write

    public final void write(String str,
                            int off,
                            int len)
                     throws IOException

  Overrides:
    `write` in class `FilterWriter`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.